[arch-commits] Commit in aufs-utils/trunk (PKGBUILD)

Thomas Baechler thomas at archlinux.org
Sun Oct 12 07:58:48 EDT 2008


    Date: Sunday, October 12, 2008 @ 07:58:48
  Author: thomas
Revision: 15034

upgpkg: aufs-utils 20081012-1

Modified:
  aufs-utils/trunk/PKGBUILD

----------+
 PKGBUILD |    9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-12 11:58:37 UTC (rev 15033)
+++ PKGBUILD	2008-10-12 11:58:48 UTC (rev 15034)
@@ -2,20 +2,23 @@
 # Contributor: Paul Mattal <paul at mattal.com>
 # Maintainer: Paul Mattal <pjmattal at elys.com>
 pkgname=aufs-utils
-pkgver=20080527
+pkgver=20081012
 pkgrel=1
-_kernver='2.6.25-ARCH'
+_kernver='2.6.27-ARCH'
 pkgdesc="Another Unionfs Implementation that supports NFS branches"
 arch=('i686' 'x86_64')
 url="http://aufs.sourceforge.net/"
 license=('GPL2')
 depends=('glibc')
 source=(ftp://ftp.archlinux.org/other/aufs/aufs-$pkgver.tar.gz)
-md5sums=('4378221aa5763d1f4408a0bbb0e80f0a')
+md5sums=('fb5eaa69b2c7e6e521cb9a9cae9ac23f')
 
 build() {
   cd $startdir/src/aufs || return 1
 
+  # Fix TMPFS_MAGIC error
+  sed 's|-le 26|-le 27|g' -i fs/aufs25/Makefile || return 1
+
   # configure for NFS by:
   # 1) configure local.mk to use FILP and LHASH
   sed -i 's|CONFIG_AUFS_PUT_FILP_PATCH =|CONFIG_AUFS_PUT_FILP_PATCH = y|' \




More information about the arch-commits mailing list